Puppet broken on deployment-mx due to systemd on trusty
Closed, ResolvedPublic

Description

You can only use systemd resources on systems with systemd, got upstart at /etc/puppet/modules/systemd/manifests/init.pp:8:9 at /etc/puppet/modules/mtail/manifests/init.pp:37

Guess we need to make deployment-mx02 with Stretch installed

Krenair created this task.Jan 5 2018, 2:30 AM
Krenair triaged this task as Normal priority.

Added @Krenair (Alex Monk) to the 'projectadmin' role in the 'deployment-prep' project at https://wikitech.wikimedia.org/wiki/Special:NovaProject

Change 402899 had a related patch set uploaded (by Alex Monk; owner: Alex Monk):
[operations/puppet@production] Copy deployment-mx file to deployment-mx02

https://gerrit.wikimedia.org/r/402899

Change 402899 merged by Andrew Bogott:
[operations/puppet@production] Copy deployment-mx file to deployment-mx02

https://gerrit.wikimedia.org/r/402899

Created a new system, ran into the problem that https://gerrit.wikimedia.org/r/#/c/403326/ fixes

Krenair added a subscriber: herron.May 30 2018, 9:25 PM

With help from @herron on https://gerrit.wikimedia.org/r/#/c/435814/ and Andrew on T195059 (and a weird labsaliaser problem) I've managed to get the puppet Let's Encrypt error this new instance had fixed.

Change 436430 had a related patch set uploaded (by Alex Monk; owner: Alex Monk):
[operations/mediawiki-config@master] deployment-prep: Update BounceHandlerInternalIPs

https://gerrit.wikimedia.org/r/436430

Change 436431 had a related patch set uploaded (by Alex Monk; owner: Alex Monk):
[operations/puppet@production] deployment-prep: Update wikimail_smarthost

https://gerrit.wikimedia.org/r/436431

Krenair claimed this task.May 31 2018, 12:22 AM
hashar removed a subscriber: hashar.Jun 4 2018, 8:26 AM

Change 439451 had a related patch set uploaded (by Alex Monk; owner: Alex Monk):
[operations/puppet@production] Followup If545182a: Actually use cert_name now

https://gerrit.wikimedia.org/r/439451

Change 436430 merged by jenkins-bot:
[operations/mediawiki-config@master] deployment-prep: Update BounceHandlerInternalIPs

https://gerrit.wikimedia.org/r/436430

Mentioned in SAL (#wikimedia-operations) [2018-06-13T17:49:01Z] <twentyafterfour@deploy1001> Synchronized wmf-config: Sync https://gerrit.wikimedia.org/r/#/c/operations/mediawiki-config/+/436430/ for SWAT refs T184244 (duration: 01m 00s)

So I think to replace it properly we need https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/436431/ and https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/439451/ - but these are both cherry-picked in deployment-prep so I'm turning off the old instance now.

Mentioned in SAL (#wikimedia-releng) [2018-06-13T19:47:45Z] <Krenair> powered off deployment-mx T184244

Change 439451 merged by Herron:
[operations/puppet@production] Followup If545182a: Actually use cert_name now

https://gerrit.wikimedia.org/r/439451

Mentioned in SAL (#wikimedia-releng) [2018-07-08T18:31:27Z] <Krenair> deleted deployment-mx T184244

Change 436431 merged by Andrew Bogott:
[operations/puppet@production] deployment-prep: Update wikimail_smarthost

https://gerrit.wikimedia.org/r/436431

Krenair closed this task as Resolved.Jul 11 2018, 8:49 PM